test_helpers.hh File Reference
`#include <mia/internal/autotest.hh>`
`#include <set>`
`#include <string>`
Include dependency graph for test_helpers.hh:

Go to the source code of this file.

## Functions

template<class PluginHandler>
void | test_plugin_names_and_count (const std::set< std::string > &expected)

## Function Documentation

## test_plugin_names_and_count()

template<class PluginHandler>

void test_plugin_names_and_count | ( | const std::set< std::string > & | expected | ) |

Test help template to check whether a plug-in handler loads a certain set of expected plug-ins. The function uses boost::unittest to handele the testing.

Template Parameters

  the | plug-in handler type to be tested

Parameters

  expected | the set of expected plug-ins given by their name

Definition at line 40 of file test_helpers.hh.